<?php

elgg_register_event_handler('plugins_boot', 'system', 'eucookies_init');

function eucookies_init() {
    elgg_register_action('eucookies/settings/save', elgg_get_plugins_path() . 'eucookies/actions/settings/save.php');
    elgg_register_page_handler('cookies', 'eucookies_page_handler');
        
    if (!isset($_COOKIE['accepted_cookies']) && !isset($_GET['accepted']) && !isset($_GET['exception'])) {
        elgg_register_plugin_hook_handler('output:before', 'page', 'eucookies_message');

        elgg_set_config('allow_registration', 0);
    } else {
        if (isset($_GET['accepted'])) {
            setcookie('accepted_cookies'); 
        }
        ini_set('session.use_cookies', 1);
    }
    
    elgg_extend_view('css/elgg', 'eucookies/eucookies');
}

function eucookies_message($hook, $type, $return, $params) {
    elgg_register_css('jqModal', elgg_get_site_url() . 'mod/eucookies/views/default/eucookies/externals/jqModal.css');
    elgg_register_js('jqModal', elgg_get_site_url() . 'mod/eucookies/views/default/eucookies/externals/jqModal.js');
    echo elgg_view('eucookies/cookie_message');
    elgg_extend_view('page/elements/head', 'eucookies/js_cookies', 0);
    elgg_extend_view('page/elements/head', 'eucookies/eucookies_modal', 1000);
}

function eucookies_page_handler($page, $handler) {
	$title = elgg_echo("eucookies:cookies_title");
	$content = elgg_view_title($title);

	$content .= elgg_view('output/longtext', array('value' => elgg_echo(elgg_get_plugin_setting('cookies', 'eucookies'))));

	$body = elgg_view_layout("one_sidebar", array('content' => $content));
	echo elgg_view_page($title, $body);
	return true;
}
